Support » Plugin: The Events Calendar » referer tribe_process_async_process_support_test

  • aggk

    (@aggk)


    Hi,

    I was performing some plugin updates including The Events Calendar from Version 4.6.26 to 4.7.3 when I discovered a list of different PHP errors and warnings, all with the same referer: …/wp-admin/admin-ajax.php?action=tribe_process_async_process_support_test&nonce=ad…
    We are hosted at WP Engine so I did a restore back to the previous state of the site.
    What is triggering these warnings/erorrs?

    Thanks!

Viewing 6 replies - 1 through 6 (of 6 total)
  • Ed

    (@erishel)

    Hey there,

    Thanks for reaching out ๐Ÿ˜„

    Can you share debug or server logs with us?

    Take care,
    Ed ๐ŸคŸ

    aggk

    (@aggk)

    Hi,

    Unfortunately I did not have those errors saved. But I just copied a version to staging trying to reproduce the issue. From what I can tell the errors occur while updating plugins, last time I remember that the errors with referer tribe_process_async_process_support_test was related to Yoast and CPT UI -plugin updates.
    I did not see the same errors this time but instead the following:
    (I should mention I have not detected any issues with the site other than these errors but as a result I have unfortunately postponed all plugin updates)

    This one happened before Event Calendar was updated and it seems to be related to updating the feedzy -plugin:

    PHP Fatal error: Uncaught Error: Class ‘ThemeIsle_SDK_Loader’ not found in /wp-content/plugins/feedzy-rss-feeds/vendor/codeinwp/themeisle-sdk/start.php:37\nStack trace:\n#0 wp-content/plugins/feedzy-rss-feeds/vendor/codeinwp/themeisle-sdk/load.php(32): require_once()\n#1 [internal function]: themeisle_sdk_load_latest(”)\n#2 /wp-includes/class-wp-hook.php(286):
    call_user_func_array(‘themeisle_sdk_l…’, Array)\n#3 /wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)\n#4 /wp-includes/plugin.php(453): WP_Hook->do_action(Array)\n#5 /wp-settings.php(450): do_action(‘init’)\n#6 /wp-config.php(129): require_once(‘/nas/content/li…’)\n#7 /wp-load.php(37): require_once(‘/nas/content/li…’)\n#8 /wp-admin/admin-ajax.php(22): require_once(‘/nas/content/li…’)\n#9 {main}\n thrown in /wp-content/plugins/feedzy-rss-feeds/vendor/codeinwp/themeisle-sdk/start.php on line 37, referer: /wp-admin/admin-ajax.php?action=tribe_process_async_process_support_test&nonce=7842c9b679

    Iยดm not sure but it looks like these came while updating Events Calendar:

    PHP Fatal error: Uncaught RuntimeException: Error while making ‘tec.admin.event-meta-box’: Class Tribe__Events__Admin__Event_Meta_Box does not exist in /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php:348\nStack trace:\n#0 /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php(281):
    tad_DI52_Container->resolve(‘tec.admin.event…’)\n#1 /wp-content/plugins/the-events-calendar/common/src/Tribe/Container.php(176): tad_DI52_Container->make(‘tec.admin.event…’)\n#2 /wp-content/plugins/the-events-calendar/src/Tribe/Main.php(787): tribe(‘tec.admin.event…’)\n#3 [internal function]: Tribe__Events__Main->init(”)\n#4 /wp-includes/class-wp-hook.php(286):
    call_user_func_array(Array, Array)\n#5 /wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)\n#6 /wp-inclu in /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php on line 348, referer: /wp-admin/admin-ajax.php?action=tribe_process_async_process_support_test&nonce=7842c9b679

    PHP Fatal error: Uncaught RuntimeException: Error while making ‘admin.notice.php.version’: Class Tribe__Admin__Notice__Php_Version does not exist in /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php:348\nStack trace:\n#0 /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php(281):
    tad_DI52_Container->resolve(‘admin.notice.ph…’)\n#1 /wp-content/plugins/the-events-calendar/common/src/Tribe/Container.php(176): tad_DI52_Container->make(‘admin.notice.ph…’)\n#2 /wp-content/plugins/the-events-calendar/common/src/Tribe/Main.php(501): tribe(‘admin.notice.ph…’)\n#3 [internal function]: Tribe__Main->tribe_plugins_loaded(”)\n#4 /wp-includes/class-wp-hook.php
    (286): call_user_func_array(Array, Array)\n#5 /wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)\n#6 /wp-content/plugins/the-events-
    calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php on line 348, referer: /wp-admin/admin-ajax.php?action=tribe_process_async_process_support_test&nonce=7842c9b679

    We are hosted at WP Engine where I have just updated from PHP 5.6 to 7.2

    Thanks!

    aggk

    (@aggk)

    Hi again,

    I did another test with a new copy to staging.
    This time I started by updating Yoast which resulted in the following message in the error log:

    PHP Fatal error: Uncaught Error: Class ‘WPSEO_Post_Type’ not found in /wp-content/plugins/wordpress-seo/inc/options/class-wpseo-option-titles.php:252\nStack trace:\n#0 [internal function]: WPSEO_Option_Titles->enrich_defaults(”)\n#1 /wp-includes/class-wp-hook.php(286): call_user_func_array(Array, Array)\n#2 /wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)\n#3 /wp-includes/plugin.php(453): WP_Hook->do_action(Array)\n#4 /wp-settings.php(450): do_action(‘init’)\n#5 /wp-config.php(129): require_once(‘/nas/content/li…’)\n#6 /wp-load.php(37): require_once(‘/nas/content/li…’)\n#7 /wp-admin/admin-ajax.php(22): require_once(‘/nas/content/li…’)\n#8 {main}\n thrown in /wp-content/plugins/wordpress-seo/inc/options/class-wpseo-option-titles.php on line 252, referer: /wp-admin/admin-ajax.php?action=tribe_process_async_process_support_test&nonce=83fc125fa7

    Then I updated to latest Events Calendar which gave this message:

    PHP Fatal error: Uncaught RuntimeException: Error while making ‘admin.notice.php.version’: Class Tribe__Admin__Notice__Php_Version does not exist in /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php:348\nStack trace:\n#0 /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php(281): tad_DI52_Container->resolve(‘admin.notice.ph…’)\n#1 /wp-content/plugins/the-events-calendar/common/src/Tribe/Container.php(176): tad_DI52_Container->make(‘admin.notice.ph…’)\n#2 /wp-content/plugins/the-events-calendar/common/src/Tribe/Main.php(501): tribe(‘admin.notice.ph…’)\n#3 [internal function]: Tribe__Main->tribe_plugins_loaded(”)\n#4 /wp-includes/class-wp-hook.php(286): call_user_func_array(Array, Array)\n#5 /wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)\n#6 in /wp-content/plugins/the-events-calendar/common/vendor/lucatume/di52/src/tad/DI52/Container.php on line 348, referer: /wp-admin/admin-ajax.php?action=tribe_process_async_process_support_test&nonce=83fc125fa7

    Next I updated all my other plugins and this time there were no more errors. When I test the site I have not noticed any issues or errors.
    Does it make any sense to you? Are those errors going to be a problem or would it be safe to update my production site and ignore these?
    …can it be related to our upgrade from PHP 5.6 to PHP 7.2?

    Thanks!

    Ed

    (@erishel)

    Hey there,

    Thanks for the logs!

    Not sure if upgrading PHP would have caused this… It may have been a conflict between previous versions of plugins which updating fixed.

    I’d keep an eye on it, especially when applying any more plugin updates.

    Take care,
    Ed ๐ŸคŸ

    aggk

    (@aggk)

    Thank you Ed!

    I updated the live site now and received the same error after updating Events Calendar:
    “PHP Fatal error: Uncaught RuntimeException: Error while making ‘admin.notice.php.version’: Class Tribe__Admin__Notice__Php_Version does not exist…”
    After that, there were no more errors and I have also tested the site without issues so far.
    Any idea what that error is? Can I be sure the update was successful?

    Thanks!

    Ed

    (@erishel)

    I was thinking the same thing about the update.

    Other than grabbing a fresh copy (download and upload) there’s really no way to tell.

    Sometimes the auto-updater gets funky.

    Take care,
    Ed ๐ŸคŸ

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘referer tribe_process_async_process_support_test’ is closed to new replies.